<html>
<head>
<title>OgreAndroidGLContext.h Source File - OGRE Documentation</title> <meta http-equiv="Content-Type" content="text/html; charset=iso-8859-1"> 
<link type="text/css" rel="stylesheet" href="doxygen.css">
<link type="text/css" rel="stylesheet" href="tabs.css">
</head>

<body>
<!-- Generated by Doxygen 1.7.6.1 -->
  <div id="navrow1" class="tabs">
    <ul class="tablist">
      <li><a href="index.html"><span>Main&#160;Page</span></a></li>
      <li><a href="pages.html"><span>Related&#160;Pages</span></a></li>
      <li><a href="modules.html"><span>Modules</span></a></li>
      <li><a href="namespaces.html"><span>Namespaces</span></a></li>
      <li><a href="annotated.html"><span>Classes</span></a></li>
      <li class="current"><a href="files.html"><span>Files</span></a></li>
      <li><a href="dirs.html"><span>Directories</span></a></li>
    </ul>
  </div>
  <div id="navrow2" class="tabs2">
    <ul class="tablist">
      <li><a href="files.html"><span>File&#160;List</span></a></li>
      <li><a href="globals.html"><span>File&#160;Members</span></a></li>
    </ul>
  </div>
  <div id="nav-path" class="navpath">
    <ul>
      <li class="navelem"><a class="el" href="dir_43d9b0265a5a2fd53bf3892a292ce5e9.html">RenderSystems</a>      </li>
      <li class="navelem"><a class="el" href="dir_740c5ae02f3e58539fc77518d7d26661.html">GLES2</a>      </li>
      <li class="navelem"><a class="el" href="dir_03408e7e26591a021d5048c9e4238005.html">include</a>      </li>
      <li class="navelem"><a class="el" href="dir_f185693a81d0b937e7e7d76b98af8b9b.html">Android</a>      </li>
    </ul>
  </div>
</div>
<div class="header">
  <div class="headertitle">
<div class="title">OgreAndroidGLContext.h</div>  </div>
</div><!--header-->
<div class="contents">
<a href="OgreAndroidGLContext_8h.html">Go to the documentation of this file.</a><div class="fragment"><pre class="fragment"><a name="l00001"></a>00001 <span class="comment">/*</span>
<a name="l00002"></a>00002 <span class="comment">-----------------------------------------------------------------------------</span>
<a name="l00003"></a>00003 <span class="comment">This source file is part of OGRE</span>
<a name="l00004"></a>00004 <span class="comment">    (Object-oriented Graphics Rendering Engine)</span>
<a name="l00005"></a>00005 <span class="comment">For the latest info, see http://www.ogre3d.org/</span>
<a name="l00006"></a>00006 <span class="comment"></span>
<a name="l00007"></a>00007 <span class="comment">Copyright (c) 2000-2012 Torus Knot Software Ltd</span>
<a name="l00008"></a>00008 <span class="comment"></span>
<a name="l00009"></a>00009 <span class="comment">Permission is hereby granted, free of charge, to any person obtaining a copy</span>
<a name="l00010"></a>00010 <span class="comment">of this software and associated documentation files (the &quot;Software&quot;), to deal</span>
<a name="l00011"></a>00011 <span class="comment">in the Software without restriction, including without limitation the rights</span>
<a name="l00012"></a>00012 <span class="comment">to use, copy, modify, merge, publish, distribute, sublicense, and/or sell</span>
<a name="l00013"></a>00013 <span class="comment">copies of the Software, and to permit persons to whom the Software is</span>
<a name="l00014"></a>00014 <span class="comment">furnished to do so, subject to the following conditions:</span>
<a name="l00015"></a>00015 <span class="comment"></span>
<a name="l00016"></a>00016 <span class="comment">The above copyright notice and this permission notice shall be included in</span>
<a name="l00017"></a>00017 <span class="comment">all copies or substantial portions of the Software.</span>
<a name="l00018"></a>00018 <span class="comment"></span>
<a name="l00019"></a>00019 <span class="comment">THE SOFTWARE IS PROVIDED &quot;AS IS&quot;, WITHOUT WARRANTY OF ANY KIND, EXPRESS OR</span>
<a name="l00020"></a>00020 <span class="comment">IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF MERCHANTABILITY,</span>
<a name="l00021"></a>00021 <span class="comment">FITNESS FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT. IN NO EVENT SHALL THE</span>
<a name="l00022"></a>00022 <span class="comment">AUTHORS OR COPYRIGHT HOLDERS BE LIABLE FOR ANY CLAIM, DAMAGES OR OTHER</span>
<a name="l00023"></a>00023 <span class="comment">LIABILITY, WHETHER IN AN ACTION OF CONTRACT, TORT OR OTHERWISE, ARISING FROM,</span>
<a name="l00024"></a>00024 <span class="comment">OUT OF OR IN CONNECTION WITH THE SOFTWARE OR THE USE OR OTHER DEALINGS IN</span>
<a name="l00025"></a>00025 <span class="comment">THE SOFTWARE.</span>
<a name="l00026"></a>00026 <span class="comment">-----------------------------------------------------------------------------</span>
<a name="l00027"></a>00027 <span class="comment">*/</span>
<a name="l00028"></a>00028 
<a name="l00029"></a>00029 <span class="preprocessor">#ifndef __AndroidGLContext_H__</span>
<a name="l00030"></a>00030 <span class="preprocessor"></span><span class="preprocessor">#define __AndroidGLContext_H__</span>
<a name="l00031"></a>00031 <span class="preprocessor"></span>
<a name="l00032"></a>00032 <span class="preprocessor">#include &quot;<a class="code" href="OgreGLES2Context_8h.html">OgreGLES2Context.h</a>&quot;</span>
<a name="l00033"></a>00033 
<a name="l00034"></a>00034 <span class="keyword">namespace </span>Ogre {
<a name="l00035"></a>00035     <span class="keyword">class </span>AndroidGLSupport;
<a name="l00036"></a>00036     
<a name="l00038"></a><a class="code" href="classOgre_1_1AndroidGLContextDelegate.html">00038</a>     <span class="keyword">class </span><a class="code" href="OgrePlatform_8h.html#a20566b1253bae200372ed9162489a663">_OgreExport</a> <a class="code" href="classOgre_1_1AndroidGLContextDelegate.html" title="Implements the callback mechanisms for external context calls.">AndroidGLContextDelegate</a>
<a name="l00039"></a>00039     {
<a name="l00040"></a>00040     <span class="keyword">public</span>:
<a name="l00041"></a>00041         <span class="keyword">virtual</span> <span class="keywordtype">void</span> setCurrent(<span class="keywordtype">int</span>) = 0; <span class="comment">// handle of context</span>
<a name="l00042"></a>00042         <span class="keyword">virtual</span> <span class="keywordtype">void</span> endCurrent(<span class="keywordtype">int</span>) = 0; <span class="comment">// handle of context</span>
<a name="l00043"></a>00043     };
<a name="l00044"></a>00044 
<a name="l00045"></a><a class="code" href="classOgre_1_1AndroidGLContext.html">00045</a>     <span class="keyword">class </span><a class="code" href="OgrePlatform_8h.html#af4c2f5df97e3050dd5266408be42db4b">_OgrePrivate</a> <a class="code" href="classOgre_1_1AndroidGLContext.html">AndroidGLContext</a> : <span class="keyword">public</span> <a class="code" href="classOgre_1_1GLES2Context.html" title="Class that encapsulates an GL context.">GLES2Context</a>
<a name="l00046"></a>00046     {
<a name="l00047"></a>00047         <span class="keyword">private</span>:
<a name="l00048"></a><a class="code" href="classOgre_1_1AndroidGLContext.html#a0aa2d03dc67187c24ac9ec89e6b1d97a">00048</a>             <span class="keyword">const</span> <a class="code" href="classOgre_1_1AndroidGLSupport.html">AndroidGLSupport</a> *<a class="code" href="classOgre_1_1AndroidGLContext.html#a0aa2d03dc67187c24ac9ec89e6b1d97a">mGLSupport</a>;
<a name="l00049"></a><a class="code" href="classOgre_1_1AndroidGLContext.html#ae45e99e05795a0ec725e7b8eb7969f9e">00049</a>             <span class="keywordtype">int</span> <a class="code" href="classOgre_1_1AndroidGLContext.html#ae45e99e05795a0ec725e7b8eb7969f9e">mHandle</a>; <span class="comment">// Handle to external implementation</span>
<a name="l00050"></a><a class="code" href="classOgre_1_1AndroidGLContext.html#abf30187d83e8678fc03462abbc272755">00050</a>             <a class="code" href="classOgre_1_1AndroidGLContextDelegate.html" title="Implements the callback mechanisms for external context calls.">AndroidGLContextDelegate</a> *<a class="code" href="classOgre_1_1AndroidGLContext.html#abf30187d83e8678fc03462abbc272755">mDelegate</a>;
<a name="l00051"></a>00051         <span class="keyword">public</span>:
<a name="l00052"></a>00052             <a class="code" href="classOgre_1_1AndroidGLContext.html">AndroidGLContext</a>(<span class="keyword">const</span> <a class="code" href="classOgre_1_1AndroidGLSupport.html">AndroidGLSupport</a> *glsupport, <span class="keywordtype">int</span> handle);
<a name="l00053"></a>00053             <span class="keyword">virtual</span> ~<a class="code" href="classOgre_1_1AndroidGLContext.html">AndroidGLContext</a>();
<a name="l00054"></a>00054 
<a name="l00055"></a>00055             <span class="keyword">virtual</span> <span class="keywordtype">void</span> setCurrent();
<a name="l00056"></a>00056             <span class="keyword">virtual</span> <span class="keywordtype">void</span> endCurrent();
<a name="l00057"></a>00057             <a class="code" href="classOgre_1_1GLES2Context.html" title="Class that encapsulates an GL context.">GLES2Context</a>* clone() <span class="keyword">const</span>;
<a name="l00058"></a>00058             
<a name="l00059"></a>00059             <span class="keywordtype">void</span> setDelegate(<a class="code" href="classOgre_1_1AndroidGLContextDelegate.html" title="Implements the callback mechanisms for external context calls.">AndroidGLContextDelegate</a> *delegate);
<a name="l00060"></a>00060             <a class="code" href="classOgre_1_1AndroidGLContextDelegate.html" title="Implements the callback mechanisms for external context calls.">AndroidGLContextDelegate</a> *getDelegate();
<a name="l00061"></a>00061             <span class="keywordtype">int</span> getHandle() <span class="keyword">const</span>;
<a name="l00062"></a>00062     };
<a name="l00063"></a>00063 }
<a name="l00064"></a>00064 
<a name="l00065"></a>00065 <span class="preprocessor">#endif</span>
</pre></div></div><!-- contents -->
<hr>
<p>
Copyright &copy; 2012 Torus Knot Software Ltd<br />
<!--Creative Commons License--><a rel="license" href="http://creativecommons.org/licenses/by-sa/3.0/"><img alt="Creative Commons License" style="border-width:0" src="http://i.creativecommons.org/l/by-sa/3.0/88x31.png" /></a><br />This work is licensed under a <a rel="license" href="http://creativecommons.org/licenses/by-sa/3.0/">Creative Commons Attribution-ShareAlike 3.0 Unported License</a>.<br/>
		<!--/Creative Commons License--><!-- <rdf:RDF xmlns="http://web.resource.org/cc/" xmlns:dc="http://purl.org/dc/elements/1.1/" xmlns:rdf="http://www.w3.org/1999/02/22-rdf-syntax-ns#">
		<Work rdf:about="">
			<license rdf:resource="http://creativecommons.org/licenses/by-sa/2.5/" />
	<dc:type rdf:resource="http://purl.org/dc/dcmitype/Text" />
		</Work>
		<License rdf:about="http://creativecommons.org/licenses/by-sa/2.5/"><permits rdf:resource="http://web.resource.org/cc/Reproduction"/><permits rdf:resource="http://web.resource.org/cc/Distribution"/><requires rdf:resource="http://web.resource.org/cc/Notice"/><requires rdf:resource="http://web.resource.org/cc/Attribution"/><permits rdf:resource="http://web.resource.org/cc/DerivativeWorks"/><requires rdf:resource="http://web.resource.org/cc/ShareAlike"/></License></rdf:RDF> -->

Last modified Fri May 25 2012 21:48:49
</p>
</body>
</html>
